Genivia - saml1__SubjectConfirmationType Struct Reference

|  | Home | Documentation | saml1__SubjectConfirmationType Struct Reference updated Thu Apr 15 2021 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
saml1__SubjectConfirmationType Struct Reference

"urn:oasis:names:tc:SAML:1.0:assertion":SubjectConfirmationType is a complexType. More...

`#include <saml1.h>`

Collaboration diagram for saml1__SubjectConfirmationType:
[legend]

## Public Attributes
int | __sizeConfirmationMethod
| Size of the dynamic array of values of type char* * is 1..unbounded. More...
char ** | saml1__ConfirmationMethod
| Array char* * of size 1..unbounded. More...
_XML | saml1__SubjectConfirmationData
| Element reference "urn:oasis:names:tc:SAML:1.0:assertion:"SubjectConfirmationData. More...
_ds__KeyInfo * | ds__KeyInfo
| Imported element reference "http://www.w3.org/2000/09/xmldsig#":KeyInfo. More...

## Detailed Description

"urn:oasis:names:tc:SAML:1.0:assertion":SubjectConfirmationType is a complexType.

Note
  struct saml1__SubjectConfirmationType operations:
  - saml1__SubjectConfirmationType* soap_new_saml1__SubjectConfirmationType(struct soap*, int num) allocate and default initialize one or more values (an array)
  - soap_default_saml1__SubjectConfirmationType(struct soap*, saml1__SubjectConfirmationType*) default initialize members
  - int soap_read_saml1__SubjectConfirmationType(struct soap*, saml1__SubjectConfirmationType*) deserialize from a source
  - int soap_write_saml1__SubjectConfirmationType(struct soap*, saml1__SubjectConfirmationType*) serialize to a sink
  - saml1__SubjectConfirmationType* soap_dup_saml1__SubjectConfirmationType(struct soap*, saml1__SubjectConfirmationType* dst, saml1__SubjectConfirmationType <em>src) returns deep copy of saml1__SubjectConfirmationType src into dst, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
  - soap_del_saml1__SubjectConfirmationType(saml1__SubjectConfirmationType) deep deletes saml1__SubjectConfirmationType data members, use only on dst after soap_dup_saml1__SubjectConfirmationType(NULL, saml1__SubjectConfirmationType *dst, saml1__SubjectConfirmationType *src) (use soapcpp2 -Ed)

## Member Data Documentation

int saml1__SubjectConfirmationType::__sizeConfirmationMethod

Size of the dynamic array of values of type char* * is 1..unbounded.

_ds__KeyInfo* saml1__SubjectConfirmationType::ds__KeyInfo

Imported element reference "http://www.w3.org/2000/09/xmldsig#":KeyInfo.

Optional element.

char* * saml1__SubjectConfirmationType::saml1__ConfirmationMethod

Array char* * of size 1..unbounded.

Multiple elements.

_XML saml1__SubjectConfirmationType::saml1__SubjectConfirmationData

Element reference "urn:oasis:names:tc:SAML:1.0:assertion:"SubjectConfirmationData.

Optional element.

The documentation for this struct was generated from the following file:

- saml1.h